> ## Documentation Index
> Fetch the complete documentation index at: https://thebettercontextapp-davis-web-resource.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get thread

Fetches a full thread transcript.


## OpenAPI

````yaml GET /api/cli/threads/{threadId}
openapi: 3.1.0
info:
  title: btca Cloud API
  version: 2.0.0
  description: Remote API used by btca remote and MCP tools.
servers:
  - url: https://btca.dev
security:
  - bearerAuth: []
paths:
  /api/cli/threads/{threadId}:
    get:
      summary: Fetch a thread transcript
      parameters:
        - name: threadId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Thread transcript
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CliThreadResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CloudError'
components:
  schemas:
    CliThreadResponse:
      type: object
      required:
        - thread
        - messages
      properties:
        thread:
          $ref: '#/components/schemas/GenericObject'
        messages:
          type: array
          items:
            $ref: '#/components/schemas/GenericObject'
    CloudError:
      type: object
      required:
        - error
      properties:
        error:
          type: string
        message:
          type: string
    GenericObject:
      type: object
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````